#ifndef VDDIALOGUE_H
#define VDDIALOGUE_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include <vector>
#include "VDText.h"
using namespace std;



/* **********************************************************************************************************************
   VDDialogue
   **********************************************************************************************************************/

class VDDialogue {
public:
    VDDialogue();
    VDDialogue(int theID, LPCSTR theText);
    ~VDDialogue();

    void AddOption(LPCSTR text, int nextID);
    void RemoveOption(LPCSTR text);
    void WriteDialogue(HANDLE anOpenFile);
    void ReadDialogue(HANDLE anOpenFile);

    LPCSTR GetText();
      void SetText(LPCSTR theText);
       int GetID();
    size_t GetOptionsSize();
    LPCSTR GetOption(unsigned int index);
       int GetOptionNextID(unsigned int index);
private:
            VDText text;
    vector<VDText> options;
};



#endif  // VDDIALOGUE_H